## org.apache.axis.encoding.ser
Class BeanPropertyTarget

    java.lang.Object
      org.apache.axis.encoding.ser.BeanPropertyTarget

All Implemented Interfaces:
  Target

public class BeanPropertyTarget
extends java.lang.Object
implements Target

Class which knows how to update a bean property

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`BeanPropertyTarget(java.lang.Object object, BeanPropertyDescriptor pd)` This constructor is used for a normal property.
`BeanPropertyTarget(java.lang.Object object, BeanPropertyDescriptor pd, int i)` This constructor is used for an indexed property.

Method Summary
`void` `set(java.lang.Object value)` set the bean property with specified value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### BeanPropertyTarget

    public BeanPropertyTarget(java.lang.Object object,
                              BeanPropertyDescriptor pd)

  This constructor is used for a normal property.

Parameters:
  `object` - is the bean class
  `pd` - is the property

### BeanPropertyTarget

    public BeanPropertyTarget(java.lang.Object object,
                              BeanPropertyDescriptor pd,
                              int i)

  This constructor is used for an indexed property.

Parameters:
  `object` - is the bean class
  `pd` - is the property
  `i` - is the index

Method Detail

### set

    public void set(java.lang.Object value)
             throws org.xml.sax.SAXException

  set the bean property with specified value

  Specified by:
    `set` in interface `Target`
  Parameters:
    `value` - is the value.
  Throws:
    `org.xml.sax.SAXException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.